<!DOCTYPE html>
<html lang="en" manifest="cache.manifest">

<head>

	<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0">
    
	<link rel="apple-touch-icon" href="assets/apple-touch-icon.png">
	<link rel="stylesheet" type="text/css" href="assets/_styles.css" />
	
	<title>Offline Webapp </title>

</head>
<body>
	
	<div id="loader">
		<div class="loader">
			<img src="assets/loader.gif" alt="Loading cache..." width="31" height="31" />

		</div>
	</div>
	
	<div id="maincontainer">
		<div id="content">
			<div class="article">
				<h2>Offline webapp</h2>
				<p class="date">
                <?php
				
                date_default_timezone_set ("gmt"); 
                echo date("d/m/y : H:i:s", time());
				
				?>
				</p>
				<div class="clear">&nbsp;</div>

				<p>
					If you want to see this in action you should be loading this through your iPhone. The first time you load this the files specified in the manifest file will cache to your phone.
				</p>
				<p>
					Enable Airplane mode to cut all network connections and reload this page. Watch as it loads without a problem.
				</p>
			</div>
		</div>
			
		<div class="clear">&nbsp;</div>
	</div>

	
	<script type="text/javascript">
		(function(){
			var webappCache = window.applicationCache,
				loader,
				simulateDownload,
				pollingCacheStatus,
				h2Title = document.querySelector("h2"),
				connectionStatus = ((navigator.onLine) ? 'online' : 'offline');
			
			loader = document.getElementById("loader").style;
			h2Title.textContent = h2Title.textContent + " - currently: " + connectionStatus;
			document.title = document.title.replace(" | "," - currently: " + connectionStatus + " | ");
			
			switch (webappCache.status) {
			case 0:
				console.log("Cache status: Uncached");
				break;
			case 1:
				console.log("Cache status: Idle");
				break;
			case 2:
				console.log("Cache status: Checking");
				break;
			case 3:
				console.log("Cache status: Downloading");
				break;
			case 4:
				console.log("Cache status: Updateready");
				break;
			case 5:
				console.log("Cache status: Obsolete");
				break;
			default:
				console.log("Cache status: unknown");
			}
			
			function noupdateCache() {
				loader.display = "none";
				console.log("No update to cache found");
			}
			function doneCache() {
				loader.display = "none";
				console.log("Cache has finished downloading");
			}
			function progressCache() {
				loader.display = "table";
				console.log("Downloading cache...");
			}
			function updateCache() {
				webappCache.swapCache();
				console.log("Cache has been updated due to a change found in the manifest");
				loader.display = "none";
			}
			function errorCache() {
				console.log("You're either offline or something has gone horribly wrong.");
			}
			webappCache.addEventListener("progress", progressCache, false);
			webappCache.addEventListener("cached", doneCache, false);
			webappCache.addEventListener("noupdate", noupdateCache, false);
			webappCache.addEventListener("updateready", updateCache, false);
			webappCache.addEventListener("error", errorCache, false);
		})();
	</script>
	
</body>
</html>
